Package csb :: Package bio :: Package sequence :: Class StructureAlignment

[frames] | no frames]

# Class StructureAlignment

source code

           object --+
                    |
    AbstractAlignment --+
                        |
                       StructureAlignment

Multiple structure alignment. Similar to a SequenceAlignment, but the alignment holds the actual csb.bio.structure.ProteinResidue objects, taken from the corresponding source csb.bio.structure.Chains.

See AbstractAlignment for details.

Nested Classes
Inherited from `AbstractAlignment`: `__metaclass__`

Instance Methods
Inherited from `AbstractAlignment`: `__getitem__`, `__init__`, `__iter__`, `add`, `format`, `gap_at`, `subregion` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

StructureAlignment

parse(string, provider, id_factory=None, strict=True) Create a new StructureAlignment from an mFASTA string. | source code

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `AbstractAlignment`: `columns`, `length`, `rows`, `size` Inherited from `object`: `__class__`

Method Details

### parse(string, provider, id_factory=None, strict=True)
Static Method

source code

Create a new StructureAlignment from an mFASTA string. See csb.bio.io.fasta.StructureAlignmentFactory for details.

Parameters:
  - `string` (str) - MSA-formatted string
  - `provider` (csb.bio.io.wwpdb.StructureProvider) - data source for all structures found in the alignment
  - `strict` (bool) - see AbstractAlignment
  - `id_factory` (callable) - callable factory, which transforms a sequence ID into a csb.bio.io.wwpdb.EntryID object. By default this is csb.bio.io.wwpdb.EntryID.create.
Returns: StructureAlignment